## magic 1.0

=== DESCRIPTION ===
Package: magic
Title: create and investigate magic squares
Version: 1.0
Author: Robin K. S. Hankin
Depends: R (>= 1.8.0), abind
Description: A variety of methods for creating magic squares of any
 order greater than 2, and various magic hypercubes.  Includes sundry
 magic square amusements and is intended as a rebuttal to the
 often-heard comment "I thought R was just for statistics".
Maintainer: Robin K. S. Hankin <initial.surname@soc.soton.ac.uk> 
License: GPL

## magic 1.1

=== DESCRIPTION ===
Package: magic
Title: create and investigate magic squares
Version: 1.1
Author: Robin K. S. Hankin
Depends: R (>= 1.9.0), abind
Description: A variety of methods for creating magic squares of any
 order greater than 2, and various magic hypercubes.  Includes sundry
 magic square tools and examples and is intended as a rebuttal to the
 often-heard comment "I thought R was just for statistics".
Maintainer: Robin K. S. Hankin <r.hankin@soc.soton.ac.uk> 
License: GPL
Packaged: Wed Apr 21 23:07:56 2004; rksh

## magic 1.2

=== DESCRIPTION ===
Package: magic
Title: create and investigate magic squares
Version: 1.2
Author: Robin K. S. Hankin
Depends: R (>= 1.9.0), abind
Description: A variety of methods for creating magic squares of any
 order greater than 2, and various magic hypercubes.  Includes sundry
 magic square tools and examples and is intended as a rebuttal to the
 often-heard comment ``I thought R was just for statistics''.
Maintainer: Robin K. S. Hankin <r.hankin@soc.soton.ac.uk> 
License: GPL
Packaged: Tue Sep 14 22:18:16 2004; rksh

## magic 1.3-12

=== DESCRIPTION ===
Package: magic
Title: create and investigate magic squares
Version: 1.3-12
Author: Robin K. S. Hankin
Depends: R (>= 1.9.0), abind
Description: a collection of efficient, vectorized algorithms for the
 creation and investigation of magic squares, including methods for
 creating normal magic squares of any order greater than 2.  The
 ultimate intention is for the package to be a computerized embodiment
 all magic square knowledge, including direct numerical verification
 of properties of magic squares (such as recent results on the
 determinant of odd-ordered semimagic squares).  The package also
 serves as a rebuttal to the often-heard comment "I thought R
 was just for statistics".
Maintainer: Robin K. S. Hankin <r.hankin@soc.soton.ac.uk>
License: GPL
Packaged: Sun Mar 20 21:44:35 2005; rksh

## magic 1.3-14

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: magic
 Title: create and investigate magic squares
-Version: 1.3-12
+Version: 1.3-14
 Author: Robin K. S. Hankin
 Depends: R (>= 1.9.0), abind
 Description: a collection of efficient, vectorized algorithms for the
@@ -12,6 +12,6 @@
  determinant of odd-ordered semimagic squares).  The package also
  serves as a rebuttal to the often-heard comment "I thought R
  was just for statistics".
-Maintainer: Robin K. S. Hankin <r.hankin@soc.soton.ac.uk>
+Maintainer: Robin K. S. Hankin <r.hankin@noc.soton.ac.uk>
 License: GPL
-Packaged: Sun Mar 20 21:44:35 2005; rksh
+Packaged: Thu Jun  2 22:33:30 2005; rksh

## magic 1.3-15

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: magic
 Title: create and investigate magic squares
-Version: 1.3-14
+Version: 1.3-15
 Author: Robin K. S. Hankin
 Depends: R (>= 1.9.0), abind
 Description: a collection of efficient, vectorized algorithms for the
@@ -14,4 +14,4 @@
  was just for statistics".
 Maintainer: Robin K. S. Hankin <r.hankin@noc.soton.ac.uk>
 License: GPL
-Packaged: Thu Jun  2 22:33:30 2005; rksh
+Packaged: Tue Jul 19 23:02:25 2005; rksh

## magic 1.3-20

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Package: magic
+Version: 1.3-20
+Date: 13 Oct 2005
 Title: create and investigate magic squares
-Version: 1.3-15
 Author: Robin K. S. Hankin
 Depends: R (>= 1.9.0), abind
 Description: a collection of efficient, vectorized algorithms for the
@@ -14,4 +15,4 @@
  was just for statistics".
 Maintainer: Robin K. S. Hankin <r.hankin@noc.soton.ac.uk>
 License: GPL
-Packaged: Tue Jul 19 23:02:25 2005; rksh
+Packaged: Mon Nov 28 22:27:25 2005; rksh

## magic 1.3-24

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Package: magic
-Version: 1.3-20
+Version: 1.3-24
 Date: 13 Oct 2005
 Title: create and investigate magic squares
 Author: Robin K. S. Hankin
 Depends: R (>= 1.9.0), abind
 Description: a collection of efficient, vectorized algorithms for the
- creation and investigation of magic squares, including methods for
+ creation and investigation of magic squares and hypercubes, including
+ a variety of functions for the manipulation and analysis of
+ arbitrarily dimensioned arrays.   The package includes methods for
  creating normal magic squares of any order greater than 2.  The
  ultimate intention is for the package to be a computerized embodiment
  all magic square knowledge, including direct numerical verification
@@ -15,4 +17,4 @@
  was just for statistics".
 Maintainer: Robin K. S. Hankin <r.hankin@noc.soton.ac.uk>
 License: GPL
-Packaged: Mon Nov 28 22:27:25 2005; rksh
+Packaged: Wed Apr  5 20:37:41 2006; rksh

## magic 1.3-27

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Package: magic
-Version: 1.3-24
+Version: 1.3-27
 Date: 13 Oct 2005
 Title: create and investigate magic squares
 Author: Robin K. S. Hankin
-Depends: R (>= 1.9.0), abind
+Depends: R (>= 2.4.0), abind
 Description: a collection of efficient, vectorized algorithms for the
  creation and investigation of magic squares and hypercubes, including
  a variety of functions for the manipulation and analysis of
@@ -17,4 +17,4 @@
  was just for statistics".
 Maintainer: Robin K. S. Hankin <r.hankin@noc.soton.ac.uk>
 License: GPL
-Packaged: Wed Apr  5 20:37:41 2006; rksh
+Packaged: Thu Apr 12 22:41:17 2007; rksh

## magic 1.3-28

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: magic
-Version: 1.3-27
+Version: 1.3-28
 Date: 13 Oct 2005
 Title: create and investigate magic squares
 Author: Robin K. S. Hankin
@@ -17,4 +17,4 @@
  was just for statistics".
 Maintainer: Robin K. S. Hankin <r.hankin@noc.soton.ac.uk>
 License: GPL
-Packaged: Thu Apr 12 22:41:17 2007; rksh
+Packaged: Wed May  9 20:58:21 2007; rksh

## magic 1.3-29

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: magic
-Version: 1.3-28
+Version: 1.3-29
 Date: 13 Oct 2005
 Title: create and investigate magic squares
 Author: Robin K. S. Hankin
@@ -17,4 +17,4 @@
  was just for statistics".
 Maintainer: Robin K. S. Hankin <r.hankin@noc.soton.ac.uk>
 License: GPL
-Packaged: Wed May  9 20:58:21 2007; rksh
+Packaged: Wed Oct  3 21:31:10 2007; rksh

## magic 1.3-31

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: magic
-Version: 1.3-29
+Version: 1.3-31
 Date: 13 Oct 2005
 Title: create and investigate magic squares
 Author: Robin K. S. Hankin
@@ -7,7 +7,7 @@
 Description: a collection of efficient, vectorized algorithms for the
  creation and investigation of magic squares and hypercubes, including
  a variety of functions for the manipulation and analysis of
- arbitrarily dimensioned arrays.   The package includes methods for
+ arbitrarily dimensioned arrays.  The package includes methods for
  creating normal magic squares of any order greater than 2.  The
  ultimate intention is for the package to be a computerized embodiment
  all magic square knowledge, including direct numerical verification
@@ -17,4 +17,4 @@
  was just for statistics".
 Maintainer: Robin K. S. Hankin <r.hankin@noc.soton.ac.uk>
 License: GPL
-Packaged: Wed Oct  3 21:31:10 2007; rksh
+Packaged: Thu Dec 20 22:54:03 2007; rksh

## magic 1.3-33

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: magic
-Version: 1.3-31
+Version: 1.3-33
 Date: 13 Oct 2005
 Title: create and investigate magic squares
 Author: Robin K. S. Hankin
@@ -16,5 +16,5 @@
  serves as a rebuttal to the often-heard comment "I thought R
  was just for statistics".
 Maintainer: Robin K. S. Hankin <r.hankin@noc.soton.ac.uk>
-License: GPL
-Packaged: Thu Dec 20 22:54:03 2007; rksh
+License: GPL-2
+Packaged: Thu May  8 21:42:46 2008; rksh

## magic 1.3-34

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: magic
-Version: 1.3-33
+Version: 1.3-34
 Date: 13 Oct 2005
 Title: create and investigate magic squares
 Author: Robin K. S. Hankin
@@ -15,6 +15,6 @@
  determinant of odd-ordered semimagic squares).  The package also
  serves as a rebuttal to the often-heard comment "I thought R
  was just for statistics".
-Maintainer: Robin K. S. Hankin <r.hankin@noc.soton.ac.uk>
+Maintainer: Robin K. S. Hankin <rksh1@cam.ac.uk>
 License: GPL-2
-Packaged: Thu May  8 21:42:46 2008; rksh
+Packaged: Wed Aug 20 09:48:14 2008; rksh

## magic 1.4-2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: magic
-Version: 1.3-34
-Date: 13 Oct 2005
+Version: 1.4-2
+Date: 6 Jan 2009
 Title: create and investigate magic squares
 Author: Robin K. S. Hankin
 Depends: R (>= 2.4.0), abind
@@ -12,9 +12,10 @@
  ultimate intention is for the package to be a computerized embodiment
  all magic square knowledge, including direct numerical verification
  of properties of magic squares (such as recent results on the
- determinant of odd-ordered semimagic squares).  The package also
+ determinant of odd-ordered semimagic squares).  Some antimagic
+ functionality is included.  The package also
  serves as a rebuttal to the often-heard comment "I thought R
  was just for statistics".
 Maintainer: Robin K. S. Hankin <rksh1@cam.ac.uk>
 License: GPL-2
-Packaged: Wed Aug 20 09:48:14 2008; rksh
+Packaged: Thu Jan 15 21:24:49 2009; rksh

## magic 1.4-3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: magic
-Version: 1.4-2
+Version: 1.4-3
 Date: 6 Jan 2009
 Title: create and investigate magic squares
 Author: Robin K. S. Hankin
@@ -18,4 +18,4 @@
  was just for statistics".
 Maintainer: Robin K. S. Hankin <rksh1@cam.ac.uk>
 License: GPL-2
-Packaged: Thu Jan 15 21:24:49 2009; rksh
+Packaged: Tue Jan 20 21:04:20 2009; rksh

## magic 1.4-4

=== DESCRIPTION ===
Package: magic
Version: 1.4-4
Date: 6 Jan 2009
Title: create and investigate magic squares
Author: Robin K. S. Hankin
Depends: R (>= 2.4.0), abind
Description: a collection of efficient, vectorized algorithms for the
        creation and investigation of magic squares and hypercubes,
        including a variety of functions for the manipulation and
        analysis of arbitrarily dimensioned arrays.  The package
        includes methods for creating normal magic squares of any order
        greater than 2.  The ultimate intention is for the package to
        be a computerized embodiment all magic square knowledge,
        including direct numerical verification of properties of magic
        squares (such as recent results on the determinant of
        odd-ordered semimagic squares).  Some antimagic functionality
        is included.  The package also serves as a rebuttal to the
        often-heard comment "I thought R was just for statistics".
Maintainer: Robin K. S. Hankin <hankin.robin@gmail.com>
License: GPL-2
Packaged: Thu Mar 19 20:50:08 2009; rksh
Repository: CRAN
Date/Publication: 2009-03-30 06:46:53

## magic 1.4-6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: magic
-Version: 1.4-4
+Version: 1.4-6
 Date: 6 Jan 2009
 Title: create and investigate magic squares
 Author: Robin K. S. Hankin
@@ -18,6 +18,6 @@
         often-heard comment "I thought R was just for statistics".
 Maintainer: Robin K. S. Hankin <hankin.robin@gmail.com>
 License: GPL-2
-Packaged: Thu Mar 19 20:50:08 2009; rksh
+Packaged: 2009-10-16 12:58:10 UTC; rksh
 Repository: CRAN
-Date/Publication: 2009-03-30 06:46:53
+Date/Publication: 2009-10-16 14:05:17

## magic 1.5-1

=== DESCRIPTION ===
Package: magic
Version: 1.5-1
Date: 6 Jan 2009
Title: create and investigate magic squares
Author: Robin K. S. Hankin
Depends: R (>= 2.4.0), abind
Description: a collection of efficient, vectorized algorithms for the
 creation and investigation of magic squares and hypercubes, including
 a variety of functions for the manipulation and analysis of
 arbitrarily dimensioned arrays.  The package includes methods for
 creating normal magic squares of any order greater than 2.  The
 ultimate intention is for the package to be a computerized embodiment
 all magic square knowledge, including direct numerical verification
 of properties of magic squares (such as recent results on the
 determinant of odd-ordered semimagic squares).  Some antimagic
 functionality is included.  The package also
 serves as a rebuttal to the often-heard comment "I thought R
 was just for statistics".
Maintainer: Robin K. S. Hankin <hankin.robin@gmail.com>
License: GPL-2
Packaged: 2011-12-27 01:20:38 UTC; rksh
Repository: CRAN
Date/Publication: 2011-12-27 10:06:13

## magic 1.5-2

=== DESCRIPTION ===
Package: magic
Version: 1.5-2
Date: 3 July 2012
Title: create and investigate magic squares
Author: Robin K. S. Hankin
Depends: R (>= 2.4.0), abind
Description: a collection of efficient, vectorized algorithms for the
        creation and investigation of magic squares and hypercubes,
        including a variety of functions for the manipulation and
        analysis of arbitrarily dimensioned arrays.  The package
        includes methods for creating normal magic squares of any order
        greater than 2.  The ultimate intention is for the package to
        be a computerized embodiment all magic square knowledge,
        including direct numerical verification of properties of magic
        squares (such as recent results on the determinant of
        odd-ordered semimagic squares).  Some antimagic functionality
        is included.  The package also serves as a rebuttal to the
        often-heard comment "I thought R was just for statistics".
Maintainer: Robin K. S. Hankin <hankin.robin@gmail.com>
License: GPL-2
Packaged: 2012-07-03 03:44:51 UTC; rksh
Repository: CRAN
Date/Publication: 2012-07-03 13:02:29

## magic 1.5-4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: magic
-Version: 1.5-2
+Version: 1.5-4
 Date: 3 July 2012
 Title: create and investigate magic squares
 Author: Robin K. S. Hankin
@@ -18,6 +18,6 @@
         often-heard comment "I thought R was just for statistics".
 Maintainer: Robin K. S. Hankin <hankin.robin@gmail.com>
 License: GPL-2
-Packaged: 2012-07-03 03:44:51 UTC; rksh
+Packaged: 2013-01-10 20:44:41 UTC; rksh
 Repository: CRAN
-Date/Publication: 2012-07-03 13:02:29
+Date/Publication: 2013-01-21 12:31:10

## magic 1.5-6

=== DESCRIPTION ===
Package: magic
Version: 1.5-6
Date: 3 July 2012
Title: create and investigate magic squares
Author: Robin K. S. Hankin
Depends: R (>= 2.10), abind
Description: a collection of efficient, vectorized algorithms for the
 creation and investigation of magic squares and hypercubes, including
 a variety of functions for the manipulation and analysis of
 arbitrarily dimensioned arrays.  The package includes methods for
 creating normal magic squares of any order greater than 2.  The
 ultimate intention is for the package to be a computerized embodiment
 all magic square knowledge, including direct numerical verification
 of properties of magic squares (such as recent results on the
 determinant of odd-ordered semimagic squares).  Some antimagic
 functionality is included.  The package also
 serves as a rebuttal to the often-heard comment "I thought R
 was just for statistics".
Maintainer: "Robin K. S. Hankin" <hankin.robin@gmail.com>
License: GPL-2
Packaged: 2013-11-19 19:55:40 UTC; rhankin
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2013-11-20 00:55:43

## magic 1.6-0

=== DESCRIPTION ===
Package: magic
Version: 1.6-0
Title: Create and Investigate Magic Squares
Authors@R: person(given=c("Robin", "K. S."), family="Hankin", role = c("aut","cre"), email="hankin.robin@gmail.com", comment = c(ORCID = "0000-0001-5982-0415"))
Depends: R (>= 2.10), abind
Description: A collection of functions for the manipulation and
 analysis of arbitrarily dimensioned arrays.  The original motivation
 for the package was the development of efficient, vectorized
 algorithms for the creation and investigation of magic squares and
 high-dimensional magic hypercubes.
Maintainer: Robin K. S. Hankin <hankin.robin@gmail.com>
License: GPL-2
URL: https://github.com/RobinHankin/magic
BugReports: https://github.com/RobinHankin/magic/issues
NeedsCompilation: no
Packaged: 2022-02-08 08:30:16 UTC; rhankin
Author: Robin K. S. Hankin [aut, cre] (<https://orcid.org/0000-0001-5982-0415>)
Repository: CRAN
Date/Publication: 2022-02-09 00:10:07 UTC

## magic 7.5.213

=== debian/changelog ===
magic (7.5.213-1) unstable; urgency=low

  * Initial release (Closes: #365326)

 -- Roland Stigge <stigge@antcom.de>  Tue, 26 Jul 2011 21:53:03 +0200

=== debian/control ===
Source: magic
Section: electronics
Priority: extra
Maintainer: Roland Stigge <stigge@antcom.de>
Build-Depends: debhelper (>= 8.0.0), autotools-dev, mesa-common-dev, tcl-dev, tk-dev, blt-dev, csh, m4
Standards-Version: 3.9.2
Homepage: http://www.opencircuitdesign.com/magic/

Package: magic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: irsim
Description: VLSI layout tool
 Magic is a venerable VLSI layout tool, written in the 1980's at Berkeley by
 John Ousterhout, now famous primarily for writing the scripting interpreter
 language Tcl. Due largely in part to its liberal Berkeley open-source license,
 magic has remained popular with universities and small companies. The
 open-source license has allowed VLSI engineers with a bent toward programming
 to implement clever ideas and help magic stay abreast of fabrication
 technology. However, it is the well thought-out core algorithms which lend to
 magic the greatest part of its popularity. Magic is widely cited as being the
 easiest tool to use for circuit layout, even for people who ultimately rely on
 commercial tools for their product design flow.

## magic 7.5.214

=== debian/changelog ===
magic (7.5.214-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sun, 27 Nov 2011 22:05:55 +0100

## magic 7.5.215

=== debian/changelog ===
magic (7.5.215-1) unstable; urgency=low

  * New upstream release
  * debian/control: Standards-Version: 3.9.3
  * debian/compat: 9

 -- Roland Stigge <stigge@antcom.de>  Sat, 10 Mar 2012 20:47:56 +0100

## magic 7.5.216

=== Makefile ===
#
# rcsid $Header: /usr/cvsroot/magic-7.5/Makefile,v 1.4 2006/06/14 07:13:16 eric Exp $
#

MAGICDIR   = .
PROGRAMS   = magic ext2sim ext2spice
TECH       = scmos
LIBRARIES  = database utils extflat
MODULES    = cmwind commands database dbwind debug drc extflat extract \
	     graphics netmenu plow resis select sim textio tiles utils \
	     windows wiring

MAKEFLAGS  =
INSTALL_CAD_DIRS = windows doc ${TECH}

include defs.mak

all:	$(ALL_TARGET)

standard:
	@echo --- errors and warnings logged in file make.log
	@${MAKE} mains 2>&1 | tee -a make.log | egrep -i "(.c:|Stop.|---)"

tcl:
	@echo --- errors and warnings logged in file make.log
	@${MAKE} tcllibrary 2>&1 | tee -a make.log | egrep -i "(.c:|Stop.|---)"

force: clean all

defs.mak:
	@echo No \"defs.mak\" file found.  Run "configure" to make one.

config:
	${MAGICDIR}/configure

tcllibrary: database/database.h modules
	@echo --- making Tcl shared libraries
	for dir in ${PROGRAMS}; do \
		(cd $$dir && ${MAKE} tcl-main); done

mains: database/database.h modules libs
	@echo --- making main programs
	for dir in ${PROGRAMS}; do \
		(cd $$dir && ${MAKE} main); done

database/database.h: database/database.h.in
	@echo --- making header file database/database.h
	${SCRIPTS}/makedbh database/database.h.in database/database.h

modules:
	@echo --- making modules
	for dir in ${MODULES} ${PROGRAMS}; do \
		(cd $$dir && ${MAKE} module); done

libs:
	@echo --- making libraries
	for dir in ${LIBRARIES}; do \
		(cd $$dir && ${MAKE} lib); done

depend:	database/database.h
	${RM} */Depend
	for dir in ${MODULES} ${UNUSED_MODULES} ${PROGRAMS}; do \
		(cd $$dir && ${MAKE} depend); done

install: $(INSTALL_TARGET)

install-magic:
	@echo --- installing executable to $(DESTDIR)${BINDIR}
	@echo --- installing runtime files to $(DESTDIR)${LIBDIR}
	@${MAKE} install-real 2>&1 >> install.log

install-real: install-dirs
	for dir in ${INSTALL_CAD_DIRS}; do \
		(cd $$dir && ${MAKE} install); done
	for dir in ${PROGRAMS}; do \
		(cd $$dir && ${MAKE} install); done

install-tcl-dirs:
	${MAGICDIR}/scripts/mkdirs $(DESTDIR)${BINDIR} $(DESTDIR)${MANDIR} \
		$(DESTDIR)${SYSDIR} $(DESTDIR)${TCLDIR} $(DESTDIR)${TCLDIR}/bitmaps

install-dirs:
	${MAGICDIR}/scripts/mkdirs $(DESTDIR)${BINDIR} $(DESTDIR)${MANDIR} \
		$(DESTDIR)${SYSDIR} $(DESTDIR)${SCMDIR}

install-tcl:
	@echo --- installing executable to $(DESTDIR)${BINDIR}
	@echo --- installing runtime files to $(DESTDIR)${LIBDIR}
	@${MAKE} install-tcl-real 2>&1 >> install.log

install-tcl-real: install-tcl-dirs
	for dir in ${INSTALL_CAD_DIRS} ${PROGRAMS}; do \
		(cd $$dir && ${MAKE} install-tcl); done

clean:
	for dir in ${MODULES} ${PROGRAMS} ${TECH} ${UNUSED_MODULES}; do \
		(cd $$dir && ${MAKE} clean); done
	${RM} *.tmp */*.tmp *.sav */*.sav *.log TAGS tags

distclean:
	touch defs.mak
	@${MAKE} clean
	${RM} defs.mak old.defs.mak ${MAGICDIR}/scripts/defs.mak
	${RM} ${MAGICDIR}/scripts/default.conf
	${RM} ${MAGICDIR}/scripts/config.log ${MAGICDIR}/scripts/config.status
	${RM} scripts/magic.spec magic-`cat VERSION` magic-`cat VERSION`.tgz
	${RM} *.log

dist:
	${RM} scripts/magic.spec magic-`cat VERSION` magic-`cat VERSION`.tgz
	sed -e /@VERSION@/s%@VERSION@%`cat VERSION`% \
	    scripts/magic.spec.in > scripts/magic.spec
	ln -nsf . magic-`cat VERSION`
	tar zchvf magic-`cat VERSION`.tgz --exclude CVS \
	    --exclude magic-`cat VERSION`/magic-`cat VERSION` \
	    --exclude magic-`cat VERSION`/magic-`cat VERSION`.tgz \
	    magic-`cat VERSION`

clean-mains:
	for dir in ${PROGRAMS}; do \
		(cd $$dir && ${RM} $$dir); done

tags:
	${RM} tags
	find . ${MODULES} ${PROGRAMS} -name "*.[ch]" -maxdepth 1 | xargs ctags -o tags

TAGS: 
	${RM} TAGS
	find . ${MODULES} ${PROGRAMS} -name "*.[ch]" -maxdepth 1 | xargs etags -o TAGS

=== lef/Makefile ===
#
# LEF module Makefile
#

MODULE    = lef
MAGICDIR  = ..
SRCS      = lefCmd.c lefTech.c lefWrite.c defWrite.c lefRead.c defRead.c

include ${MAGICDIR}/defs.mak

LIBS += ${LD_EXTRA_LIBS} ${SUB_EXTRA_LIBS}
CLEANS += magiclef${SHDLIB_EXT} tcllef.o

tcl-main: tcllef.o magiclef${SHDLIB_EXT}

tcllef.o: tcllef.c
	${CC} ${CFLAGS} ${CPPFLAGS} ${DFLAGS} tcllef.c -c -o tcllef.o

magiclef${SHDLIB_EXT}: tcllef.o ${OBJS}
	@echo --- making Tcl auto-load module \(magiclef${SHDLIB_EXT}\)
	${RM} magiclef${SHDLIB_EXT}
	${CC} ${CFLAGS} ${CPPFLAGS} -o $@ ${LDDL_FLAGS} tcllef.o ${OBJS} \
		 ${EXTRA_LIBS} -lc ${LIBS}

install-tcl: $(DESTDIR)${TCLDIR}/magiclef${SHDLIB_EXT}

$(DESTDIR)${TCLDIR}/magiclef${SHDLIB_EXT}: magiclef${SHDLIB_EXT}
	${RM} $(DESTDIR)${TCLDIR}/magiclef${SHDLIB_EXT}
	${CP} magiclef${SHDLIB_EXT} $(DESTDIR)${TCLDIR}/magiclef${SHDLIB_EXT}

include ${MAGICDIR}/rules.mak

=== netmenu/Makefile ===
#
# rcsid =$Header: /usr/cvsroot/magic-7.5/netmenu/Makefile,v 1.1.1.1 2006/04/10 22:03:14 tim Exp $
#

MODULE    = netmenu
MAGICDIR  = ..
SRCS      = NMbutton.c NMcmdAK.c NMcmdLZ.c NMlabel.c NMmain.c \
            NMnetlist.c NMshowpt.c NMshowcell.c NMundo.c NMwiring.c 

include ${MAGICDIR}/defs.mak
include ${MAGICDIR}/rules.mak

=== windows/Makefile ===
#
# rcsid $Header: /usr/cvsroot/magic-7.5/windows/Makefile,v 1.2 2008/01/11 01:02:42 tim Exp $
#

MODULE    = windows
MAGICDIR  = ..
SRCS      = windClient.c windCmdAM.c windCmdNR.c windCmdSZ.c \
            windSend.c windDebug.c windDisp.c windMain.c windMove.c \
            windSearch.c windTrans.c windView.c 

GLYPHS    = windows7.glyphs windows11.glyphs windows14.glyphs windows22.glyphs 
FONTS	  = vfont.B.12 vfont.I.12 vfont.R.8

include ${MAGICDIR}/defs.mak
include ${MAGICDIR}/rules.mak

install-tcl:
	@echo --- installing glyphs to $(DESTDIR)${SYSDIR}
	for i in ${GLYPHS} ${FONTS}; do \
		(cd $(DESTDIR)${SYSDIR} && ${RM} $$i); \
		${CP} $$i $(DESTDIR)${SYSDIR}; done

install:
	@echo --- installing glyphs to $(DESTDIR)${SYSDIR}
	for i in ${GLYPHS} ${FONTS}; do \
		(cd $(DESTDIR)${SYSDIR} && ${RM} $$i); \
		${CP} $$i $(DESTDIR)${SYSDIR}; done

=== debian/changelog ===
magic (7.5.216-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Fri, 06 Apr 2012 14:47:13 +0200

## magic 7.5.218

=== scmos/Makefile ===
#######################################################################
#
#                     MOSIS distribution Version 8.2
#
#######################################################################
#
# The intent in magic version 7.2 was to convert all the "c" style
# files to m4.  However, given the number of files, and the fact that
# they are out of date and should all be replaced anyway, this doesn't
# seem to be worth the effort.  Therefore, some trivial things (like
# minimum.tech) have been converted to m4 and the rest have been left
# alone.
#
#######################################################################

MAGICDIR = ..

include ${MAGICDIR}/defs.mak

SC_M4 = ${M4}
SC_CPP = ${CPP} -I./extract_template

FILES = mos.7bit.dstyle mos.7bit.std.cmap \
	mos.24bit.dstyle mos.24bit.std.cmap \
	mos.7bit.mraster_dstyle mos.7bit.mraster.cmap \
	mos.OpenGL.dstyle mos.OpenGL.std.cmap
TECHFILES = minimum.tech gdsquery.tech scmos.tech scmos-tm.tech \
	scmos-sub.tech scmosWR.tech

CIFin   = cif_template/objs/CIFin
CIFout  = cif_template/objs/CIFout
ICIFin  = cif_template/objs/IBMCIFin
ICIFout = cif_template/objs/IBMCIFout
HCIFin  = cif_template/objs/TMCIFin
HCIFout = cif_template/objs/TMCIFout
SCIFin  = cif_template/objs/SUBCIFin
SCIFout = cif_template/objs/SUBCIFout

OBJS =$(CIFin) $(CIFout) $(HCIFin) $(HCIFout) $(SCIFin) $(SCIFout)

DEPEND = scmos.tech.in \
		extract_template/scmosExt.tech.in \
		extract_template/scmosExt26b-sub.tech.in \
		extract_template/scmosExt060_orb.tech.in \
		extract_template/scmosExt080.tech.in \
		extract_template/scmosExt100.tech.in \
		extract_template/scmosExt34.tech.in \
		extract_template/scmosExt14b-sub.tech.in \
		extract_template/scmosExtDiag.tech.in \
		extract_template/scmosExt14b-tm.tech.in 

all: $(OBJS) $(DEPEND) ${TECHFILES}

install-tcl: all
	for i in ${FILES} ${TECHFILES}; do \
		${CP} $$i $(DESTDIR)${SYSDIR}; done

install: all
	for i in ${FILES} ${TECHFILES}; do \
		${CP} $$i $(DESTDIR)${SYSDIR}; done

scmos.tech: $(OBJS)
	$(SC_CPP) -DV5 -DSTANDARD scmos.tech.in > scmos.tech

scmos-tm.tech: $(OBJS)
	$(SC_CPP) -DV5 -DHPTECH -DTIGHTMETAL scmos.tech.in > scmos-tm.tech

scmos-sub.tech: $(OBJS)
	$(SC_CPP) -DV5 -DSUBMICRON scmos.tech.in > scmos-sub.tech

scmosWR.tech: $(OBJS)
	$(SC_CPP) -DV5 -DSTANDARD -DWELL_ROUTE_CHECK scmos.tech.in > scmosWR.tech

minimum.tech: minimum.tech.m4
	$(SC_M4) minimum.tech.m4 > minimum.tech

gdsquery.tech: gdsquery.tech.m4
	$(SC_M4) gdsquery.tech.m4 > gdsquery.tech

$(CIFin):
$(CIFout):
$(ICIFin):
$(ICIFout):
$(HCIFin):
$(HCIFout):
$(SCIFin):
$(SCIFout):
	cd cif_template; ${MAKE} clean; ${MAKE};

$(DESTDIR)${SYSDIR}/%: %
	cp $* $(DESTDIR)${SYSDIR}/$*

clean:;
	-rm -f *.tech *.tech27
	cd cif_template && ${MAKE} clean;

=== tcltk/Makefile ===
#
# rcsid $Header: /usr/cvsroot/magic-7.5/tcltk/Makefile,v 1.10 2009/05/29 13:54:55 tim Exp $
#

MODULE   = tcltk
MAGICDIR = ..
SRCS = tclmagic.c

include ${MAGICDIR}/defs.mak

DFLAGS += -DMAGIC_DATE="\"`date`\""
CLEANS += magic.sh magic.tcl magicexec magicdnull

TCL_FILES = \
	tkcon.tcl \
	tkshell.tcl \
	wrapper.tcl \
	console.tcl \
	techbuilder.tcl \
	tools.tcl \
	mazeroute.tcl \
	strip_reflibs.tcl \
	toolkit.tcl \
	magic.tcl

BIN_FILES = \
	$(DESTDIR)${BINDIR}/magic.sh \
	$(DESTDIR)${BINDIR}/ext2spice.sh \
	$(DESTDIR)${BINDIR}/ext2sim.sh

tcl-main: magicexec magicdnull magic.tcl magic.sh ext2spice.sh ext2sim.sh

install-tcl: magicexec magicdnull ${BIN_FILES} ${TCL_FILES}
	${RM} $(DESTDIR)${TCLDIR}/magicexec
	${CP} magicexec $(DESTDIR)${TCLDIR}/magicexec
	${RM} $(DESTDIR)${TCLDIR}/magicdnull
	${CP} magicdnull $(DESTDIR)${TCLDIR}/magicdnull
	(cd $(DESTDIR)${TCLDIR}; ${RM} ${TCL_FILES})
	for i in ${TCL_FILES}; do \
		${CP} $$i $(DESTDIR)${TCLDIR}; done
	(cd $(DESTDIR)${TCLDIR}; chmod 0755 tkcon.tcl tkshell.tcl)

magicexec: magicexec.c
	${CC} ${CFLAGS} -pg ${CPPFLAGS} ${DFLAGS} magicexec.c -o magicexec \
		${LD_RUN_PATH} ${LIBS} ${LIB_SPECS}

magicdnull: magicdnull.c
	${CC} ${CFLAGS} ${CPPFLAGS} ${DFLAGS} magicdnull.c -o magicdnull \
		${LD_RUN_PATH} ${LIBS} ${LIB_SPECS}

magic.tcl: magic.tcl.in ${MAGICDIR}/defs.mak
	sed -e /TCL_DIR/s%TCL_DIR%${TCLDIR}%g  \
            -e /SHDLIB_EXT/s%SHDLIB_EXT%${SHDLIB_EXT}%g magic.tcl.in > magic.tcl

magic.sh: magic.sh.in ${MAGICDIR}/defs.mak
	sed -e /TCL_DIR/s%TCL_DIR%${TCLDIR}%g \
	    -e /TCLLIB_DIR/s%TCLLIB_DIR%${TCL_LIB_DIR}%g \
	    -e /WISH_EXE/s%WISH_EXE%${WISH_EXE}%g magic.sh.in > magic.sh

ext2spice.sh: ext2spice.sh.in ${MAGICDIR}/defs.mak
	sed -e /TCL_DIR/s%TCL_DIR%${TCLDIR}%g ext2spice.sh.in > ext2spice.sh

ext2sim.sh: ext2sim.sh.in ${MAGICDIR}/defs.mak
	sed -e /TCL_DIR/s%TCL_DIR%${TCLDIR}%g ext2sim.sh.in > ext2sim.sh

$(DESTDIR)${TCLDIR}/%: %
	${RM} $(DESTDIR)${TCLDIR}/$*
	${CP} $* $(DESTDIR)${TCLDIR}/$*

$(DESTDIR)${BINDIR}/magic.sh: magic.sh
	${RM} $(DESTDIR)${BINDIR}/magic.sh $(DESTDIR)${BINDIR}/magic
	${CP} magic.sh $(DESTDIR)${BINDIR}/magic
	(cd $(DESTDIR)${BINDIR}; chmod 0755 magic)

$(DESTDIR)${BINDIR}/ext2spice.sh: ext2spice.sh
	${RM} $(DESTDIR)${BINDIR}/ext2spice
	${CP} ext2spice.sh $(DESTDIR)${BINDIR}/ext2spice
	(cd $(DESTDIR)${BINDIR}; chmod 0755 ext2spice)

$(DESTDIR)${BINDIR}/ext2sim.sh: ext2sim.sh
	${RM} $(DESTDIR)${BINDIR}/ext2sim
	${CP} ext2sim.sh $(DESTDIR)${BINDIR}/ext2sim
	(cd $(DESTDIR)${BINDIR}; chmod 0755 ext2sim)

include ${MAGICDIR}/rules.mak

=== debian/changelog ===
magic (7.5.218-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sat, 21 Apr 2012 09:26:03 +0200

## magic 7.5.220

=== debian/changelog ===
magic (7.5.220-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Wed, 02 May 2012 20:45:37 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: electronics
 Priority: extra
 Maintainer: Roland Stigge <stigge@antcom.de>
-Build-Depends: debhelper (>= 8.0.0), autotools-dev, mesa-common-dev, tcl-dev, tk-dev, blt-dev, csh, m4
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), autotools-dev, mesa-common-dev, tcl-dev, tk-dev, blt-dev, csh, m4
+Standards-Version: 3.9.3
 Homepage: http://www.opencircuitdesign.com/magic/
 
 Package: magic

## magic 7.5.231

=== debian/changelog ===
magic (7.5.231-1) unstable; urgency=low

  * New upstream release
  * debian/control: Standards-Version: 3.9.4

 -- Roland Stigge <stigge@antcom.de>  Wed, 15 May 2013 21:56:15 +0200

magic (7.5.230-1) experimental; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Fri, 25 Jan 2013 11:10:07 +0100

magic (7.5.229-1) experimental; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Mon, 08 Oct 2012 09:35:33 +0200

magic (7.5.228-1) experimental; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Wed, 03 Oct 2012 12:14:31 +0200

magic (7.5.225-1) experimental; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Tue, 25 Sep 2012 13:13:14 +0200

## magic 7.5.233

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #
 
 MAGICDIR   = .
-PROGRAMS   = magic ext2sim ext2spice
+PROGRAMS   = magic
 TECH       = scmos
 LIBRARIES  = database utils extflat
 MODULES    = cmwind commands database dbwind debug drc extflat extract \

=== calma/Makefile ===
#
# rcsid $Header: /usr/cvsroot/magic-7.5/calma/Makefile,v 1.1.1.1 2006/04/10 22:03:14 tim Exp $
#

MODULE =    calma
MAGICDIR =  ..
SRCS =      CalmaRead.c CalmaRdcl.c CalmaRdio.c CalmaRdpt.c CalmaWrite.c

include ${MAGICDIR}/defs.mak
include ${MAGICDIR}/rules.mak

=== cif/Makefile ===
#
# rcsid $Header: /usr/cvsroot/magic-7.5/cif/Makefile,v 1.1.1.1 2006/04/10 22:03:14 tim Exp $
#

MODULE   =  cif
MAGICDIR =  ..
SRCS     =  CIFgen.c CIFhier.c CIFmain.c CIFrdcl.c CIFrdpt.c CIFrdpoly.c \
            CIFrdtech.c CIFrdutils.c CIFsee.c CIFtech.c CIFwrite.c

include ${MAGICDIR}/defs.mak
include ${MAGICDIR}/rules.mak

=== cmwind/Makefile ===
#
# rcsid $Header: /usr/cvsroot/magic-7.5/cmwind/Makefile,v 1.1.1.1 2006/04/10 22:03:14 tim Exp $
#

MODULE   =  cmwind
MAGICDIR =  ..
SRCS     =  CMWmain.c CMWcmmnds.c CMWundo.c CMWrgbhsv.c

include ${MAGICDIR}/defs.mak
include ${MAGICDIR}/rules.mak

=== commands/Makefile ===
#
# rcsid $Header: /usr/cvsroot/magic-7.5/commands/Makefile,v 1.2 2006/05/23 19:18:33 tim Exp $
#

MODULE    = commands
MAGICDIR  = ..
SRCS      = CmdSubrs.c CmdAB.c CmdCD.c CmdE.c CmdFI.c \
            CmdLQ.c CmdRS.c CmdTZ.c CmdWizard.c CmdAuto.c

# Force the module to regenerate the symbolic link in the readline
# directory, as it may be needed by CmdFI.c (in the non-Tcl compile)

module: ${MAGICDIR}/readline/readline lib${MODULE}.o

${MAGICDIR}/readline/readline:
	@if ( ! test -f ${MAGICDIR}/readline/readline ) ; then \
	(cd ${MAGICDIR}/readline; ln -s `ls | grep readline` readline) ; \
	fi

include ${MAGICDIR}/defs.mak
include ${MAGICDIR}/rules.mak

=== database/Makefile ===
#
# Makefile      rcsid $Header: /usr/cvsroot/magic-7.5/database/Makefile,v 1.1.1.1 2006/04/10 22:03:14 tim Exp $
#
 
MODULE   =  database
MAGICDIR =  ..
LIB_SRCS =
SRCS     =  DBbound.c DBcell.c DBcellbox.c DBcellcopy.c \
            DBcellname.c DBcellsrch.c DBcellsel.c DBcellsubr.c \
            DBconnect.c DBcount.c DBexpand.c DBio.c DBlabel.c DBlabel2.c \
            DBpaint2.c DBpaint.c DBprop.c DBtech.c DBtcontact.c \
	    DBtechname.c DBtpaint.c DBtpaint2.c DBtechtype.c \
            DBtiles.c DBtimestmp.c DBundo.c

include ${MAGICDIR}/defs.mak

LIB_OBJS += ${MAGICDIR}/tiles/libtiles.o ${MAGICDIR}/utils/libutils.o
CLEANS += database.h

include ${MAGICDIR}/rules.mak

=== dbwind/Makefile ===
#
# rcsid $Header: /usr/cvsroot/magic-7.5/dbwind/Makefile,v 1.1.1.1 2006/04/10 22:03:14 tim Exp $
#

MODULE    = dbwind
MAGICDIR  = ..
SRCS      = DBWcommands.c DBWdisplay.c DBWbuttons.c DBWelement.c \
	    DBWfdback.c DBWhlights.c DBWprocs.c DBWtools.c DBWundo.c

include ${MAGICDIR}/defs.mak
include ${MAGICDIR}/rules.mak

=== debug/Makefile ===
#
# rcsid $Header: /usr/cvsroot/magic-7.5/debug/Makefile,v 1.1.1.1 2006/04/10 22:03:13 tim Exp $
#

MODULE    = debug
MAGICDIR  = ..
SRCS      = debugFlags.c hist.c

include ${MAGICDIR}/defs.mak
include ${MAGICDIR}/rules.mak

=== doc/Makefile ===
#
# makefile for Magic documentation
#

MAGICDIR = ..
PSDIR = psfiles

include ${MAGICDIR}/defs.mak

PRINTER=verlag
TROFF=ditroff -P${PRINTER}
TTROFF=ditroff -Ppsc -t
PSDIT=psdit
GRN=grn -Ppsc
TBL=tbl -Ppsc
EQN=eqn -Ppsc

install-tcl:
	cd latexfiles && ${MAKE} install
	cd man && ${MAKE} install
	cd tutcells && ${MAKE} install
	cd html && ${MAKE} install

install:
	cd latexfiles && ${MAKE} install
	cd man && ${MAKE} install
	cd tutcells && ${MAKE} install
	cd html && ${MAKE} install

print_only:  force
	lpr -h ${PSDIR}/copyright.ps
	lpr -h ${PSDIR}/tofc.ps
	lpr -h ${PSDIR}/introduction.ps
	lpr -h ${PSDIR}/tut1.ps
	lpr -h ${PSDIR}/tut2.ps
	lpr -h ${PSDIR}/tut3.ps
	lpr -h ${PSDIR}/tut4.ps
	lpr -h ${PSDIR}/tut5.ps
	lpr -h ${PSDIR}/tut6.ps
	lpr -h ${PSDIR}/tut7.ps
	lpr -h ${PSDIR}/tut8.ps
	lpr -h ${PSDIR}/tut9.ps
	lpr -h ${PSDIR}/tut10.ps
	lpr -h ${PSDIR}/tut11.ps
	lpr -h ${PSDIR}/maint1.ps
	lpr -h ${PSDIR}/maint2.ps
	lpr -h ${PSDIR}/maint3.ps
	lpr -h ${PSDIR}/maint4.ps
	lpr -h ${PSDIR}/otherreports.ps
	lpr -h ${PSDIR}/Addendum6.5.ps

print:  postscript print_only

postscript: copyright.ps introduction.ps tofc.ps tut1.ps tut2.ps tut3.ps \
	tut4.ps tut5.ps tut6.ps tut7.ps tut8.ps tut9.ps tut10.ps tut11.ps \
	maint1.ps maint2.ps maint3.ps maint4.ps Addendum6.5.ps
	cd nmos; make postscript PRINTER=psc "PSDIT=${PSDIT}"
	cd scmos; make postscript PRINTER=psc "PSDIT=${PSDIT}"

=== drc/Makefile ===
#
# rcsid "$Header: /usr/cvsroot/magic-7.5/drc/Makefile,v 1.2 2007/10/10 18:59:14 tim Exp $"
#

MODULE    = drc
MAGICDIR  = ..
SRCS      = DRCarray.c DRCbasic.c DRCcif.c DRCcontin.c DRCmain.c \
	    DRCsubcell.c DRCtech.c DRCprint.c DRCextend.c

include ${MAGICDIR}/defs.mak
include ${MAGICDIR}/rules.mak

=== ext2sim/Makefile ===
#
# rcsid "$Header: /usr/cvsroot/magic-7.5/ext2sim/Makefile,v 1.1.1.1 2006/04/10 22:03:14 tim Exp $"
#

MODULE   = ext2sim
MAGICDIR = ..
SRCS     = ext2sim.c

EXTRA_LIBS  = ${MAGICDIR}/extflat/libextflat.o ${MAGICDIR}/utils/libutils.a

include ${MAGICDIR}/defs.mak

LIBS += -lm ${LD_EXTRA_LIBS} ${SUB_EXTRA_LIBS}
CLEANS += exttosim${SHDLIB_EXT} simwrap.o

main: ext2sim

tcl-main: exttosim${SHDLIB_EXT}

simwrap.o: ext2sim.c
	${CC} ${CFLAGS} ${CPPFLAGS} ${DFLAGS} ext2sim.c -c -o simwrap.o

exttosim${SHDLIB_EXT}: simwrap.o ${MAGICDIR}/extflat/libextflat.o
	@echo --- making exttosim Tcl library \(exttosim${SHDLIB_EXT}\)
	${RM} exttosim${SHDLIB_EXT}
	${CC} ${CFLAGS} ${CPPFLAGS} -o $@ ${LDDL_FLAGS} simwrap.o \
		${MAGICDIR}/extflat/libextflat.o ${LD_SHARED} -lc ${LIBS}

install: $(DESTDIR)${BINDIR}/${MODULE}${EXEEXT}

install-tcl: $(DESTDIR)${TCLDIR}/exttosim${SHDLIB_EXT}

$(DESTDIR)${TCLDIR}/exttosim${SHDLIB_EXT}: exttosim${SHDLIB_EXT}
	${RM} $(DESTDIR)${TCLDIR}/exttosim${SHDLIB_EXT}
	${CP} exttosim${SHDLIB_EXT} $(DESTDIR)${TCLDIR}/exttosim${SHDLIB_EXT}

include ${MAGICDIR}/rules.mak

=== ext2spice/Makefile ===
#
# rcsid "$Header: /usr/cvsroot/magic-7.5/ext2spice/Makefile,v 1.1.1.1 2006/04/10 22:03:14 tim Exp $"
#

MODULE   = ext2spice
MAGICDIR = ..
SRCS     = ext2spice.c

EXTRA_LIBS = ${MAGICDIR}/extflat/libextflat.o ${MAGICDIR}/utils/libutils.a

include ${MAGICDIR}/defs.mak

LIBS += -lm ${LD_EXTRA_LIBS} ${SUB_EXTRA_LIBS}
CLEANS += exttospice${SHDLIB_EXT} spicewrap.o

main: ext2spice

tcl-main: exttospice${SHDLIB_EXT}

spicewrap.o: ext2spice.c
	${CC} ${CFLAGS} ${CPPFLAGS} ${DFLAGS} ext2spice.c -c -o spicewrap.o

exttospice${SHDLIB_EXT}: spicewrap.o ${MAGICDIR}/extflat/libextflat.o
	@echo --- making exttospice Tcl library \(exttospice${SHDLIB_EXT}\)
	${RM} exttospice${SHDLIB_EXT}
	${CC} ${CFLAGS} ${CPPFLAGS} -o $@ ${LDDL_FLAGS} spicewrap.o \
		${MAGICDIR}/extflat/libextflat.o ${LD_SHARED} -lc ${LIBS}

install: $(DESTDIR)${BINDIR}/${MODULE}${EXEEXT} $(DESTDIR)${BINDIR}/spice2sim 

install-tcl: $(DESTDIR)${TCLDIR}/exttospice${SHDLIB_EXT} $(DESTDIR)${BINDIR}/spice2sim

$(DESTDIR)${TCLDIR}/exttospice${SHDLIB_EXT}: exttospice${SHDLIB_EXT}
	${RM} $(DESTDIR)${TCLDIR}/exttospice${SHDLIB_EXT}
	${CP} exttospice${SHDLIB_EXT} $(DESTDIR)${TCLDIR}/exttospice${SHDLIB_EXT}

$(DESTDIR)${BINDIR}/spice2sim: spice2sim
	${RM} $(DESTDIR)${BINDIR}/spice2sim
	${CP} spice2sim $(DESTDIR)${BINDIR}/spice2sim

include ${MAGICDIR}/rules.mak

=== debian/changelog ===
magic (7.5.233-2) unstable; urgency=low

  * Use autotools-dev to update config.{sub,guess} (Closes: #727452)

 -- Roland Stigge <stigge@antcom.de>  Thu, 24 Oct 2013 11:33:36 +0200

magic (7.5.233-1) unstable; urgency=low

  * New upstream release
  * Use readlink for /usr/bin/wish in magic to use versioned wish

 -- Roland Stigge <stigge@antcom.de>  Thu, 17 Oct 2013 14:36:32 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Roland Stigge <stigge@antcom.de>
 Build-Depends: debhelper (>= 9), autotools-dev, mesa-common-dev, tcl-dev, tk-dev, blt-dev, csh, m4
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.opencircuitdesign.com/magic/
 
 Package: magic

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autotools_dev

override_dh_auto_install:
	dh_auto_install
	sed -i -e "s,/usr/bin/wish,$(shell readlink -f /usr/bin/wish)," debian/magic/usr/bin/magic

=== debian/watch ===
# until magic 8.0 is released as "stable", we stick to the 7.x line
version=3
http://opencircuitdesign.com/magic/download.html .*magic-(7.*).tgz

## magic 7.5.239

=== extflat/Makefile ===
#
# rcsid "$Header: /usr/cvsroot/magic-7.5/extflat/Makefile,v 1.1.1.1 2006/04/10 22:03:13 tim Exp $"
#

MODULE    = extflat
MAGICDIR  = ..
SRCS      = EFargs.c EFbuild.c EFdef.c EFerr.c EFflat.c EFhier.c EFname.c \
            EFread.c EFsym.c EFvisit.c 

include ${MAGICDIR}/defs.mak
include ${MAGICDIR}/rules.mak

=== debian/changelog ===
magic (7.5.239-1) unstable; urgency=medium

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sat, 07 Jun 2014 16:16:29 +0200

magic (7.5.236-1) unstable; urgency=medium

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Thu, 29 May 2014 18:28:51 +0200

magic (7.5.234-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    - Standards-Version: 3.9.5
    - Add wish and tclsh to Depends

 -- Roland Stigge <stigge@antcom.de>  Sun, 18 May 2014 19:38:24 +0200

## magic 7.5.241

=== debian/changelog ===
magic (7.5.241-1) unstable; urgency=medium

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Mon, 13 Oct 2014 11:11:14 +0200

magic (7.5.240-1) unstable; urgency=medium

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sun, 31 Aug 2014 14:51:35 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: extra
 Maintainer: Roland Stigge <stigge@antcom.de>
 Build-Depends: debhelper (>= 9), autotools-dev, mesa-common-dev, tcl-dev, tk-dev, blt-dev, csh, m4
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.opencircuitdesign.com/magic/
 
 Package: magic
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, tclsh, wish
 Suggests: irsim
 Description: VLSI layout tool
  Magic is a venerable VLSI layout tool, written in the 1980's at Berkeley by
